#!/usr/bin/python
#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Author: Chris Lumens <clumens@redhat.com>

from suites import RAID0
from cases import Creator

class RAID1TestSuite(RAID0.RAID0TestSuite):
    """Test a partitioning layout where / is on RAID1, starting with a
       single blank drive.
    """
    name = "raid1"

    @property
    def tests(self):
        return [Creator("RAID1", self.tempdir, self.drives)]
